umbrello 2.35.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_codegenoptionspage.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/codegenwizard/codegenoptionspage.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_CodeGenOptionsPage_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_CodeGenOptionsPage_t | qt_meta_stringdata_CodeGenOptionsPage
static const uint | qt_meta_data_CodeGenOptionsPage []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_CodeGenOptionsPage_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_CodeGenOptionsPage_t
Definition: moc_codegenoptionspage.cpp:24

## Variable Documentation

## ◆ qt_meta_data_CodeGenOptionsPage

const uint qt_meta_data_CodeGenOptionsPage[]
| static

## ◆ qt_meta_stringdata_CodeGenOptionsPage

const qt_meta_stringdata_CodeGenOptionsPage_t qt_meta_stringdata_CodeGenOptionsPage
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 18),
QT_MOC_LITERAL(1, 19, 12),
QT_MOC_LITERAL(2, 32, 0),
QT_MOC_LITERAL(3, 33, 15),
QT_MOC_LITERAL(4, 49, 25),
QT_MOC_LITERAL(5, 75, 21),
QT_MOC_LITERAL(6, 97, 2),
QT_MOC_LITERAL(7, 100, 29),
QT_MOC_LITERAL(8, 130, 13),
},
"CodeGenOptionsPage\0applyClicked\0\0"
"languageChanged\0syncCodeDocumentsToParent\0"
"activeLanguageChanged\0id\0"
"updateCodeGenerationPolicyTab\0"
"browseClicked\0changeLanguage"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_codegenoptionspage.cpp:28